Bug 22669 - LxQt Stack Update
Summary: LxQt Stack Update
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK
Keywords: advisory, validated_update
Depends on: 22656 22982
Blocks: 22657
  Show dependency treegraph
 
Reported: 2018-02-28 16:27 CET by Nicolas Lécureuil
Modified: 2018-05-12 21:22 CEST (History)
16 users (show)

See Also:
Source RPM:
CVE:
Status comment:


Attachments

Description Nicolas Lécureuil 2018-02-28 16:27:09 CET
Advisory:
This update provide an update the new LxQt version ( 0.12.0 )

src.rpm lsit to come.
Nicolas Lécureuil 2018-02-28 16:27:57 CET

Blocks: (none) => 22656

Marja Van Waes 2018-03-01 17:41:40 CET

CC: (none) => doktor5000, marja11
Assignee: bugsquad => mageia

Comment 1 Nicolas Lécureuil 2018-03-04 22:47:32 CET
src.rpm:
lxqt-build-tools-0.4.0-1.mga6
libqtxdg-3.1.0-1.mga6
liblxqt-0.12.0-1.mga6
lxqt-about-0.12.0-1.mga6
lxqt-admin-0.12.0-1.mga6
lxqt-config-0.12.0-1.mga6
lxqt-globalkeys-0.12.0-2.mga6
lxqt-l10n-0.12.0-1.mga6
lxqt-notificationd-0.12.0-2.mga6
lxqt-openssh-askpass-0.12.0-1.mga6
lxqt-panel-0.12.0-3.mga6
lxqt-policykit-0.12.0-2.mga6
lxqt-powermanagement-0.12.0-2.mga6
lxqt-qtplugin-0.12.0-1.mga6
lxqt-runner-0.12.0-2.mga6
lxqt-session-0.12.0-3.mga6
lxqt-sudo-0.12.0-1.mga6

Assignee: mageia => qa-bugs

Comment 2 Nicolas Lécureuil 2018-03-04 23:23:16 CET
src.rpm:
lxqt-build-tools-0.4.0-1.mga6
libqtxdg-3.1.0-1.mga6
liblxqt-0.12.0-1.mga6
lxqt-about-0.12.0-1.mga6
lxqt-admin-0.12.0-1.mga6
lxqt-config-0.12.0-1.mga6
lxqt-globalkeys-0.12.0-2.mga6
lxqt-l10n-0.12.0-1.mga6
lxqt-notificationd-0.12.0-2.mga6
lxqt-openssh-askpass-0.12.0-1.mga6
lxqt-panel-0.12.0-3.mga6
lxqt-policykit-0.12.0-2.mga6
lxqt-powermanagement-0.12.0-2.mga6
lxqt-qtplugin-0.12.0-1.mga6
lxqt-runner-0.12.0-2.mga6
lxqt-session-0.12.0-3.mga6
lxqt-sudo-0.12.0-1.mga6
libfm-qt-0.12.0-1.mga6
task-lxqt-0.12.0-1.mga6
libfm-1.2.5-9.git20180201.1.mga6
Comment 3 Dave Hodgins 2018-03-05 00:27:12 CET
Some requested packages cannot be installed:
lxqt-common-0.11.0-1.mga6.noarch (due to conflicts with lxqt-session-0.12.0-3.mga6.x86_64, due to conflicts with lxqt-runner-0.12.0-2.mga6.x86_64, due to conflicts with lxqt-session-0.12.0-3.mga6.x86_64, due to conflicts with lxqt-runner-0.12.0-2.mga6.x86_64)
lxqt-panel-0.12.0-3.mga6.x86_64 (due to unsatisfied lxqt-themes)
task-lxqt-minimal-0.12.0-1.mga6.noarch (due to unsatisfied lxqt-common)

CC: (none) => davidwhodgins

PC LX 2018-03-05 01:10:35 CET

CC: (none) => mageia

Comment 4 PC LX 2018-03-05 01:20:31 CET
I'm seeing these messages when running "urpmi --auto-update":

Some requested packages cannot be installed:
lxqt-common-0.11.0-1.mga6.noarch (due to conflicts with lxqt-globalkeys-0.12.0-2.mga6.x86_64, due to conflicts with lxqt-powermanagement-0.12.0-2.mga6.x86_64, due to conflicts with lxqt-policykit-0.12.0-2.mga6.x86_64, due to conflicts with lxqt-notificationd-0.12.0-2.mga6.x86_64, due to conflicts with lxqt-runner-0.12.0-2.mga6.x86_64, due to conflicts with lxqt-session-0.12.0-3.mga6.x86_64, due to conflicts with lxqt-globalkeys-0.12.0-2.mga6.x86_64, due to conflicts with lxqt-powermanagement-0.12.0-2.mga6.x86_64, due to conflicts with lxqt-policykit-0.12.0-2.mga6.x86_64, due to conflicts with lxqt-notificationd-0.12.0-2.mga6.x86_64, due to conflicts with lxqt-runner-0.12.0-2.mga6.x86_64, due to conflicts with lxqt-session-0.12.0-3.mga6.x86_64)
lxqt-panel-0.12.0-3.mga6.x86_64 (due to unsatisfied lxqt-themes)
task-lxqt-minimal-0.12.0-1.mga6.noarch (due to unsatisfied lxqt-common)
Comment 5 Nicolas Lécureuil 2018-03-05 09:54:22 CET
please test again, new task-lxqt available.
Comment 6 PC LX 2018-03-05 10:31:30 CET
Now, I'm seeing  these messages:

Some requested packages cannot be installed:
lxqt-panel-0.11.1-3.mga6.x86_64 (trying to promote lxqt-panel)
lxqt-panel-0.12.0-3.mga6.x86_64 (due to unsatisfied lxqt-themes, trying to promote lxqt-panel)
task-lxqt-minimal-0.12.0-1.mga6.noarch (due to unsatisfied lxqt-panel-0.12.0-3.mga6.i586)
Comment 7 Nicolas Lécureuil 2018-03-05 10:48:01 CET
can you test now that lxqt-themes is available ?
Comment 8 Nicolas Lécureuil 2018-03-05 10:48:35 CET
src.rpm:
lxqt-build-tools-0.4.0-1.mga6
libqtxdg-3.1.0-1.mga6
liblxqt-0.12.0-1.mga6
lxqt-about-0.12.0-1.mga6
lxqt-admin-0.12.0-1.mga6
lxqt-config-0.12.0-1.mga6
lxqt-globalkeys-0.12.0-2.mga6
lxqt-l10n-0.12.0-1.mga6
lxqt-notificationd-0.12.0-2.mga6
lxqt-openssh-askpass-0.12.0-1.mga6
lxqt-panel-0.12.0-3.mga6
lxqt-policykit-0.12.0-2.mga6
lxqt-powermanagement-0.12.0-2.mga6
lxqt-qtplugin-0.12.0-1.mga6
lxqt-runner-0.12.0-2.mga6
lxqt-session-0.12.0-3.mga6
lxqt-sudo-0.12.0-1.mga6
libfm-qt-0.12.0-1.mga6
task-lxqt-0.12.0-2.mga6
libfm-1.2.5-9.git20180201.1.mga6
lxqt-themes-0.12.0-1.mga6
Comment 9 Dave Hodgins 2018-03-05 16:31:19 CET
Instead of trying to force any of the packages, I held off till they were
fixed. Result was a clean install, with no removals requested. Thanks.
Comment 10 Lewis Smith 2018-03-05 21:52:23 CET
M6/64 real hardware

The following 21 packages are going to be installed:
[of which most were updates, plus a few pulled in by them]
- lib64fm4-1.2.5-9.git20180201.1.mga6.x86_64
- lib64lxqt-globalkeys-ui0-0.12.0-2.mga6.x86_64
- lib64lxqt-globalkeys0-0.12.0-2.mga6.x86_64
- lib64lxqt0-0.12.0-1.mga6.x86_64
- lib64qt5xdg3-3.1.0-1.mga6.x86_64
- lib64qt5xdgiconloader3-3.1.0-1.mga6.x86_64
- libqtxdg-3.1.0-1.mga6.x86_64
- lxqt-about-0.12.0-1.mga6.x86_64
- lxqt-config-0.12.0-1.mga6.x86_64
- lxqt-globalkeys-0.12.0-2.mga6.x86_64
- lxqt-l10n-0.12.0-1.mga6.noarch
- lxqt-notificationd-0.12.0-2.mga6.x86_64
- lxqt-panel-0.12.0-3.mga6.x86_64
- lxqt-policykit-0.12.0-2.mga6.x86_64
- lxqt-powermanagement-0.12.0-2.mga6.x86_64
- lxqt-qtplugin-0.12.0-1.mga6.x86_64
- lxqt-runner-0.12.0-2.mga6.x86_64
- lxqt-session-0.12.0-3.mga6.x86_64
- lxqt-sudo-0.12.0-1.mga6.x86_64
- lxqt-themes-0.12.0-1.mga6.noarch
- task-lxqt-minimal-0.12.0-2.mga6.noarch
It ended of its own accord (a common occurrence with me lately), so I re-ran it to add (which I *may* have overlooked first time; or which got removed and I did not take note):
- lib64fm_qt3-0.12.0-1.mga6.x86_64
- libfm-1.2.5-9.git20180201.1.mga6.x86_64
- libfm-qt-0.12.0-1.mga6.x86_64
The various lib[64]fm's puzzle me.

To see later how the LXQt desktop works; it was pretty ropey.

CC: (none) => lewyssmith

Comment 11 Lewis Smith 2018-03-05 22:10:13 CET
M6/64 continued
Note that the big Qt update is installed, and Plasma works.

The LXQt desktop was a total failure; perhaps my update mix was wrong.
From SDDM, after clicking Login, the login dialogue stayed on-screen, and there were error notifications, which could not be dismissed: 1 about the clock applet being deprecated, and 2 about a certain shortcut not being able to be assigned. The desktop is not in evidence, but right-clicking popped up small menus, without them closing. No sign of a panel.
Abandoned with Ctrl/Alt/backspace/backspace.
Comment 12 PC LX 2018-03-05 23:08:51 CET
Installed LXQt 0.12.0 update packages. The installation was uneventful, no file/package conflicts or unusual messages.

I have both Qt 5.9.4 and the KDE/Plasma updates installed.

I started a LXQt session on a existing account that had LXQt previously been fully configured/themed. The LXQt panel and openbox window manager started but not much worked correctly after that.

Some of the problems I saw:
- LXQt showed some messages about deprecated clock and some other thing.
- A black background was displayed, instead of the previously configured wallpaper.
- The panel showed only the menu icon. The other icons, were not displayed.
- The lack of icons was also an issue in LXQt applications like the LXQt configuration application.
- LXQt configuration application was not working. I could not configure anything (e.g. wallpaper, icons, theme).

After this, I exited the session, deleted all *lxqt* files/directories in the user home directory and restarted the session. I tried reconfiguring LXQt again using the configuration application but it still did not work. Maybe I missed some lxqt config files in the user home directory or something else is causing problems.

I will try creating a new user account tomorrow with a clean home directory and see if LXQt works there.
Comment 13 PC LX 2018-03-05 23:10:35 CET
Forgot this info.

$ rpm -qa | grep -i lxqt | sort
lib64lxqt0-0.12.0-1.mga6
lib64lxqt-globalkeys0-0.12.0-2.mga6
lib64lxqt-globalkeys-ui0-0.12.0-2.mga6
lxqt-about-0.12.0-1.mga6
lxqt-config-0.12.0-1.mga6
lxqt-globalkeys-0.12.0-2.mga6
lxqt-l10n-0.12.0-1.mga6
lxqt-notificationd-0.12.0-2.mga6
lxqt-panel-0.12.0-3.mga6                                                                                                                                                                     
lxqt-policykit-0.12.0-2.mga6                                                                                                                                                                 
lxqt-powermanagement-0.12.0-2.mga6                                                                                                                                                           
lxqt-qtplugin-0.12.0-1.mga6                                                                                                                                                                  
lxqt-runner-0.12.0-2.mga6                                                                                                                                                                    
lxqt-session-0.12.0-3.mga6                                                                                                                                                                   
lxqt-sudo-0.12.0-1.mga6                                                                                                                                                                      
lxqt-themes-0.12.0-1.mga6                                                                                                                                                                    
task-lxqt-minimal-0.12.0-2.mga6
Comment 14 Jüri Ivask 2018-03-06 10:06:44 CET
I guess, also the following lxqt packages have to be updated:
libsysstat 0.4.0
pcmanfm-qt 0.12.0 (to display desktop and folders)

And related Releases:
lximage-qt 0.6.0
compton-conf 0.3.0
obconf-qt 0.12.0
pavucontrol-qt 0.3.0
qterminal 0.8.0
qtermwidget 0.8.0

CC: (none) => jyri2000

Comment 15 Thomas Andrews 2018-03-06 21:33:05 CET
After going through all the listed package updates for Plasma 5.12.2, I am left with two packages in Updates Testing that would appear to belong to that update, but were not listed:

lib64qt5webkit5 5.212.0-1.alpha2.7.mga6
lib64qt5webkitwidgets5 5.212.0-1.alpha2.7.mga6

Their descriptions are merely "QT5 lib." The changelog indicates that they were changed on 5 March, by Neolust. Are they part of the Plasma update?

I am putting this here because a Bugzilla search found them listed in bug 22664 as having been installed by another tester, and that bug referenced this one. That is the only reference I find for these two packages.

CC: (none) => andrewsfarm

Comment 16 Thomas Andrews 2018-03-06 21:33:53 CET
Make that the only RECENT reference.
Comment 17 PC LX 2018-03-06 22:24:29 CET
Following comment 12, I created a new user account and started a LXQt session for the new user. The results are basically the same as described on comment 12. I can't even set the desktop wallpaper. It stays black what ever I do.

There were no error messages in the console or the journal (other than a mandi not running related error message).

I have no idea how to go about debugging this. Any ideas?
Comment 18 Jüri Ivask 2018-03-07 07:04:57 CET
See comment 14. I guess you just have to wait until all lxqt packages are built.
Lewis Smith 2018-03-07 10:12:34 CET

CC: lewyssmith => (none)

Comment 19 ben mcmonagle 2018-03-09 09:05:14 CET
obviously I am doing something wrong:

No package named liblxqt-0.12.0-1.mga6
[root@localhost ~]# urpmi liblxqt (+ "tab")
liblxqt0                     liblxqt-globalkeys-ui0
liblxqt-devel                liblxqt-globalkeys-ui-devel
liblxqt-globalkeys0          liblxqt-mount0
liblxqt-globalkeys-devel     liblxqt-mount-devel

CC: (none) => westel

Comment 20 Len Lawrence 2018-03-09 09:39:21 CET
Which architecture?  If x86_64, is 32-bit updates testing enabled?

CC: (none) => tarazed25

Comment 21 ben mcmonagle 2018-03-09 10:18:24 CET
(In reply to Len Lawrence from comment #20)
> Which architecture?  If x86_64, is 32-bit updates testing enabled?

i586 (32bit) real 32bit hardware

medium "Core Release (distrib1)" is up-to-date
medium "Core Updates (distrib3)" is up-to-date
medium "Core Updates Testing (distrib5)" is up-to-date
medium "Nonfree Release (distrib11)" is up-to-date
medium "Nonfree Updates (distrib13)" is up-to-date
medium "Nonfree Updates Testing (distrib15)" is up-to-date
medium "Tainted Release (distrib21)" is up-to-date
medium "Tainted Updates (distrib23)" is up-to-date
medium "Tainted Updates Testing (distrib25)" is up-to-date

mirror is http://mirror.internode.on.net/pub/mageia/
Comment 22 Len Lawrence 2018-03-09 12:57:32 CET
Just checked the updates repository on that mirror and the liblxqt0 package appears to be there now.
Comment 23 ben mcmonagle 2018-03-09 23:54:21 CET
looks like a typo

liblxqt-0.12.0-1.mga6 (from comment 8)
vs
liblxqt0-0.12.0-1.mga6 (from repo list)
Nicolas Lécureuil 2018-03-13 10:02:18 CET

Blocks: (none) => 22657

Comment 24 Dave Hodgins 2018-03-15 19:20:44 CET
(In reply to ben mcmonagle from comment #23)
> looks like a typo
> liblxqt-0.12.0-1.mga6 (from comment 8)
> vs
> liblxqt0-0.12.0-1.mga6 (from repo list)

The srpm (which is what is needed for the advisory) is
liblxqt-0.12.0-1.mga6.src.rpm

The rpm package for i586 is
liblxqt0-0.12.0-1.mga6.i586.rpm
and for x86_64
lib64lxqt0-0.12.0-1.mga6.x86_64.rpm

The rpm packages being replaced are called
liblxqt0-0.11.1-3.mga6.i586.rpm
lib64lxqt0-0.11.1-3.mga6.x86_64.rpm

While it's an unusual difference in the srpm/rpm package names, it's
consistent with the prior version, so ok.

That's why the advisories in bug reports usually have a list of the srpm
names, and a list of the rpm package names. The srpm names are needed for
the advisory that will be added to svn, the rpm package names are needed
for the qa testers to know what to install and test.
Comment 25 Dave Hodgins 2018-03-15 19:21:53 CET
Are there any further packages that need to be added for this update?
Comment 26 Jüri Ivask 2018-03-20 09:04:42 CET
Yes, see comment 14.
Comment 27 ben mcmonagle 2018-03-21 08:50:51 CET
created new Mga6 lxde/lxqt system on real 32bit hardware 
(AMD Athlon(tm) XP 2400+)

(needed to change dm from sddm to lxdm)
booted into LXDE ok. logout and
login to lxqt desktop -ok

enable updates testing and install updated packages:

To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Updates Testing")
  libfm                          1.2.5        9.git2018020> i586    
  libfm-qt                       0.12.0       1.mga6        i586    
  liblxqt0                       0.12.0       1.mga6        i586    
  libqt5core5                    5.9.4        1.1.mga6      i586    
  libqt5xdg3                     3.1.0        1.mga6        i586    
  libqt5xdgiconloader3           3.1.0        1.mga6        i586    
  libqtxdg                       3.1.0        1.mga6        i586    
  lxqt-about                     0.12.0       1.mga6        i586    
  lxqt-admin                     0.12.0       1.mga6        i586    
  lxqt-build-tools               0.4.0        1.mga6        i586    
  lxqt-config                    0.12.0       1.mga6        i586    
  lxqt-globalkeys                0.12.0       2.mga6        i586    
  lxqt-l10n                      0.12.0       1.mga6        noarch  
  lxqt-notificationd             0.12.0       2.mga6        i586    
  lxqt-openssh-askpass           0.12.0       1.mga6        i586    
  lxqt-panel                     0.12.0       3.mga6        i586    
  lxqt-policykit                 0.12.0       2.mga6        i586    
  lxqt-powermanagement           0.12.0       2.mga6        i586    
  lxqt-qtplugin                  0.12.0       1.mga6        i586    
  lxqt-runner                    0.12.0       2.mga6        i586    
  lxqt-session                   0.12.0       3.mga6        i586    
  lxqt-sudo                      0.12.0       1.mga6        i586    
  lxqt-themes                    0.12.0       1.mga6        noarch  
  qtbase5-common                 5.9.4        1.1.mga6      i586    
  task-lxqt                      0.12.0       2.mga6        noarch  
  task-lxqt-minimal              0.12.0       2.mga6        noarch 

reboot system

unable to login to LXqt. (represents LXDM greeter)
able to login to LXDE
Comment 28 Len Lawrence 2018-03-21 18:47:01 CET
Mageia 6 :: x86_64
Starting from Plasma5 installed task-lxqt and lxqt-minimal and lxdm.
Changed display manager to lxdm.
Logged out and in to LXDE and back to Plasma.

Updated these packages:
- lib64lxqt-globalkeys-ui0-0.12.0-2.mga6.x86_64
- lib64lxqt-globalkeys0-0.12.0-2.mga6.x86_64
- lib64lxqt0-0.12.0-1.mga6.x86_64
- lib64qt5xdg3-3.1.0-1.mga6.x86_64
- lib64qt5xdgiconloader3-3.1.0-1.mga6.x86_64
- libqtxdg-3.1.0-1.mga6.x86_64
- lxqt-about-0.12.0-1.mga6.x86_64
- lxqt-admin-0.12.0-1.mga6.x86_64
- lxqt-config-0.12.0-1.mga6.x86_64
- lxqt-globalkeys-0.12.0-2.mga6.x86_64
- lxqt-l10n-0.12.0-1.mga6.noarch
- lxqt-notificationd-0.12.0-2.mga6.x86_64
- lxqt-openssh-askpass-0.12.0-1.mga6.x86_64
- lxqt-panel-0.12.0-3.mga6.x86_64
- lxqt-policykit-0.12.0-2.mga6.x86_64
- lxqt-powermanagement-0.12.0-2.mga6.x86_64
- lxqt-qtplugin-0.12.0-1.mga6.x86_64
- lxqt-runner-0.12.0-2.mga6.x86_64
- lxqt-session-0.12.0-3.mga6.x86_64
- lxqt-sudo-0.12.0-1.mga6.x86_64
- lxqt-themes-0.12.0-1.mga6.noarch
- lxshortcut-1.2.5-9.git20180201.1.mga6.x86_64
- task-lxqt-0.12.0-2.mga6.noarch
- task-lxqt-minimal-0.12.0-2.mga6.noarch

Logged out.  Logged in to LXDE OK.
Panel had turned black and the background had reverted to the standard Mageia theme.

Ignored the KGpg assistant and raised a terminal from the menu - the icon was invisible but turned to a white square under the mouse cursor.  No desktop icons.

Configuration is not easy.  Quarter of an hour to set mouse to sloppy focus.
System menu -> Preferences -> LXQt settings -> Openbox Settings (Window Manager Preferences) -> Mouse - Focusing Windows 

Set Oxygen theme in Appearance.  Nothing changed.  Logged out and in - still no change.  Tried to set a local image as wallpaper - no effect.  Tried to colour the background - no effect.
Leave in System menu gives option of Leave dialogue or logout.  logout does nothing.  Still a wip I guess.
Comment 29 Nicolas Lécureuil 2018-03-21 21:43:50 CET
thanks for the tests, i will do more QA tomorow :)
Comment 30 Lewis Smith 2018-03-22 10:58:14 CET
(In reply to Jüri Ivask from comment #14)
> I guess, also the following lxqt packages have to be updated:
Should all these be in the RPMs list for the bug?

> libsysstat 0.4.0
I did not have this 'lib64sysstat' installed; and could not find it in updates-testing to install directly from there.

> pcmanfm-qt 0.12.0 (to display desktop and folders)
I already had this: pcmanfm-qt-0.11.1-3.mga6 ; but cannot find it to update in UpdatesTesting.

> And related Releases:
> lximage-qt 0.6.0
> compton-conf 0.3.0
> obconf-qt 0.12.0
> pavucontrol-qt 0.3.0
With just task-lxqt-minimal, I had none of these installed. Are they necessary in this situation?

> qterminal 0.8.0
> qtermwidget 0.8.0
And  ? lib64qtermwidget5_0 ?
I already had all three at 0.7.1-1 , but also cannot find them in UpdatesTesting to update.

@Nicolas : I am unsure of the status of Jüri's list in comment 14. Does it need incorporating in the RPMs list for the bug? Or are they just suggestions?
------------
I found that subsequent to my earlier test c10-11, I *still* had lxshortcut to update. Having just done that (lxshortcut-1.2.5-9.git20180201.1.mga6) I will re-try LXQt from different display managers.

CC: (none) => lewyssmith

Comment 31 Lewis Smith 2018-03-22 12:12:40 CET
M6 x64 real h/w, with the parallel Qt5 update.

From all display managers, I could nominally log into an LXQt desktop, which is now Mageia 6 background. In all cases, PcManFM-QT does *not* launch either from the taskbar icon, nor menu. See previous comment about this. But if the menus worked, PcManFM does work.

* SDDM
The login dialogue stays on-screen, also the pop-up warning. Task bar present, the LH menu icon black. Everything you raise from there stays on-screen & is quickly inoperative. True also for taskbar icons & desktop right-click menus. If you can close an application, its window remains.

* GDM
1 error pop-up cannot be dismissed. MCC from the taskbar icon works briefly, but like everything else, remains stuck on-screen. This window & menu persistence is like from SDDM.

* LightDM
The most successful: the result is largely usable. A few initial pop-ups go away. The desktop right-click menu all works, including the entry -> MCC. The taskbar LH menu icon is again black, but functional. Same for the RH time/date icon (are there 2 ?). All other icons function (except as noted PcManFM-QT). Applications launched from the menu seemed to at least start OK, the few I raised.
This combination worked better for me than the previous LXQt.

* LXDM
Similar to LightDM, with the major setback that the LH application menu (black) icon does *not* work - basic. Nor does MCC start from its icon there, nor the entry from the desktop right-click menu.
Comment 32 Lewis Smith 2018-04-02 12:42:56 CEST
M6/64 real hardware with *all the mass updates applied all at once*, as will users. See https://bugs.mageia.org/show_bug.cgi?id=22656#c23
This special test system is heavy Plasma/KDE + LXQt.

Using LXQt from LightDM; see the previous comment. I did not try all the applications from the menus; that was done under Plasma. A few Qt specifics:

- PcManFM does not launch (nor from Plasma). Have to use any other file manager, here Dolphin.
- Qupzilla only 1/2 works under LXQt; but is now good under Plasma, including logging in to Mageia infrastructure.
But Qupzilla is end-of-life (short!), henceforth Falkon.
- LXimage under this desktop, open dialogue sticks at $HOME level, & if 'computer' is chosen, shows nothing. You cannot open a file outside home; if you can... Because under Plasma, the open process works fine, except the application *crashes* on opening any chosen image file.
I do not think that LXQt itself is ready; but it is largely useable, and should not stop the big push. Also, it was not very useful previously.
Comment 33 Jüri Ivask 2018-04-03 11:24:28 CEST
Real hardware - old Pentium IV desktop; Mageia 6 32bit
model name	: Intel(R) Pentium(R) 4 CPU 2.40GHz
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe pebs bts cpuid cid xtpr pti
$ lspci
00:00.0 Host bridge: Intel Corporation 82865G/PE/P DRAM Controller/Host-Hub Interface (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82865G Integrated Graphics Controller (rev 02)
00:06.0 System peripheral: Intel Corporation 82865G/PE/P Processor to I/O Memory Interface (rev 02)
00:1d.0 USB controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1 (rev 02)
00:1d.1 USB controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2 (rev 02)
00:1d.2 USB controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #3 (rev 02)
00:1d.3 USB controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #4 (rev 02)
00:1d.7 USB controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801EB (ICH5) SATA Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller (rev 02)
01:02.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8100/8101L/8139 PCI Fast Ethernet Adapter (rev 10)

As Plasma Desktop & SDDM did not run at this system, LightDM and LXQt desktop with kwin and kde apps was used.

While running lxqt desktop, used drakrpm to update -> enabled updates_testing repositories -> refreshed -> selected updates at left panel -> sorted updates by version
1. upgraded all qt5.9.4 packages&new requires
2. upgraded all kf5.42 packages&new requires
3. upgraded all plasma5.12.2&phonon packages&new requires
4. upgraded all kdeapps17.12.2 packages&new requires
5. upgraded all vlc3.0.0 packages&new requires
6. upgraded all lxqt packages&new requires
All packages installed OK without errors
7. reboot
Computer rebooted to LightDM - logged in to lxqt desktop
8. Panel and system menu worked OK
9. Desktop was black with "rolling" cursor
10. Some lxqt settings items (eg desktop) did not work
11. PCManFM-Qt file manager did not start
12. Installed KDE apps worked ok as did vlc

Conclusion - update went OK except that some LXQt packages new versions are still not available (See comment 14). Compatible PCManFM-Qt is needed to run itself and display desktop background and desktop settings.
Comment 34 Lewis Smith 2018-04-12 22:23:02 CEST
Asking for feedback because this bug seems now to be blocking all the other 'stack' ones at the Qt5 level. QA seems agreed that this update (on top of the Qt5 one) is basically OK with the main setbacks as noted at the end of the previous comment (& in earlier ones).
- The extra packages noted in comment 14, especially pcmanfm-qt
(which could possibly be substituted by pcmanfm).
The other faults are slight.

Should we withold just this LXQt update and let the others out knowing they will break existing LXQt?
Or can we push this as it stands, knowing its faults?
Or are the main issues being addressed (more updated pkgs)?

Keywords: (none) => feedback

Comment 35 Jüri Ivask 2018-04-13 08:09:17 CEST
PCManFM-Qt is not an extra package, but an integral part of LXQt DE. As is libsysstat package.

Extra packages are: lximage-qt 0.6.0; compton-conf 0.3.0; obconf-qt 0.12.0; pavucontrol-qt 0.3.0; qterminal 0.8.0; qtermwidget 0.8.0 which complete LXQt as a DE.

As there is no maintainer of LXQt and existing packagers are too busy to packakge remaining 8 packages then there is a possibility to drop LXQt altogether...

I can switch that old PC to something that is well maintained eg. XFce. My wife will be angry for some time, but I hope to survive that... :P
Comment 36 Thomas Backlund 2018-04-13 08:56:33 CEST
Dropping anything in a stable release is not an option... 
If those packages are needed to get this update out, then we need to fix it ASAP

CC: (none) => tmb

Comment 37 Nicolas Lécureuil 2018-04-13 09:24:57 CEST
i will do this today.
I am against dropping LxQt even in cauldron.
Comment 38 Nicolas Lécureuil 2018-04-13 09:35:13 CEST
(In reply to Jüri Ivask from comment #35)
> PCManFM-Qt is not an extra package, but an integral part of LXQt DE. As is
> libsysstat package.
> 
> Extra packages are: lximage-qt 0.6.0; compton-conf 0.3.0; obconf-qt 0.12.0;
> pavucontrol-qt 0.3.0; qterminal 0.8.0; qtermwidget 0.8.0 which complete LXQt
> as a DE.
> 
> As there is no maintainer of LXQt and existing packagers are too busy to
> packakge remaining 8 packages then there is a possibility to drop LXQt
> altogether...
> 
> I can switch that old PC to something that is well maintained eg. XFce. My
> wife will be angry for some time, but I hope to survive that... :P

it would be nice to have a wiki page with all this list, so new packagers can give some help
Comment 39 Nicolas Lécureuil 2018-04-13 09:38:36 CEST
adding lximage-qt-0.6.0-1.mga6 to the list
Comment 40 Jüri Ivask 2018-04-13 09:44:05 CEST
LXQt Source downloads link provides list of current packages:
https://downloads.lxqt.org/current.html
Comment 41 Nicolas Lécureuil 2018-04-13 09:48:56 CEST
perfect, i will use this.

As Qt maintainer i can work on this too.
Comment 42 Jüri Ivask 2018-04-13 09:53:00 CEST
As LXQt moved its repositories to github, the wiki is there:
https://github.com/lxqt/lxqt/wiki/Building-from-source
Comment 43 Thomas Backlund 2018-04-22 21:00:11 CEST
@Nicolas: could you please focus on this one so we can get past this update...
Comment 44 Nicolas Lécureuil 2018-04-23 10:43:40 CEST
i am preparing my new VM
Comment 45 Nicolas Lécureuil 2018-04-28 21:04:38 CEST
i am stuck for now, i have a refresh pb on LxQt, the menu appear but isn't removed from screen, the same for sddm background which stay displayed
Comment 46 Frédéric Buclin 2018-04-29 13:53:54 CEST
Could libFM and PCManFM be upgraded to the stable 1.3.0(.2) instead of the current 1.2.5 git snapshot?
Comment 47 Nicolas Lécureuil 2018-04-29 19:20:33 CEST
looking to this now.
Comment 48 Lewis Smith 2018-04-29 20:13:31 CEST
(In reply to Nicolas Lécureuil from comment #45)
> i am stuck for now, i have a refresh pb on LxQt, the menu appear but isn't
> removed from screen, the same for sddm background which stay displayed
Seen before. See my comment 31. LightDM worked best previously.

Glad that this is moving again.
Comment 49 Nicolas Lécureuil 2018-04-30 19:55:07 CEST
with latest packages i don't see the pb i reported in comment #47
Comment 50 Nicolas Lécureuil 2018-04-30 19:58:32 CEST
we are working on customisation and we will release  this one :)
Comment 51 papoteur 2018-04-30 20:56:46 CEST
Tried task-lxqt in a virtualbox, 64 bits.
setting testing repo the --auto-update.

The last installed : pcmanfm-qt-0.12.0-1.1.mga6.x86_64
I have a background, and I can change it.
I can drag an icon from the desktop and drop it on the taskbar.
Menu behaviour seems OK.
pcmanfm-qt opens from the taskbar.
I have always a notification about clock. This seems minor.

CC: (none) => yves.brungard_mageia

Comment 52 Nicolas Lécureuil 2018-04-30 23:50:08 CEST
Please test new lxqt-panel too.
Comment 53 ben mcmonagle 2018-05-01 11:03:38 CEST
Real 32 bit harware

LXDE / LXQT on AMD Athlon(tm) XP 2400+ .

uname -a
Linux localhost.localdomain 4.14.38-desktop-1.mga6 #1 SMP Mon Apr 30 12:19:02 UTC 2018 i686 i686 i686 GNU/Linux

(needed to change dm from sddm to lxdm)
booted into LXDE ok. logout and
login to lxqt desktop -ok

enable updates testing and install updated packages:

Preparing...                      
     1/26: lxqt-l10n              
     2/26: lxqt-themes            
     3/26: libfm-qt               
     4/26: lxqt-build-tools       
     5/26: qtbase5-common         
     6/26: libqt5core5            
     7/26: libqt5xdgiconloader3   
     8/26: libqtxdg               
     9/26: libqt5xdg3             
    10/26: liblxqt0               
    11/26: lxqt-sudo              
    12/26: lxqt-runner            
    13/26: lxqt-session           
    14/26: lxqt-policykit         
    15/26: lxqt-panel             
    16/26: lxqt-openssh-askpass   
    17/26: lxqt-globalkeys         
    18/26: lxqt-notificationd     
    19/26: lxqt-about             
    20/26: lxqt-config            
    21/26: lxqt-powermanagement   
    22/26: lxqt-qtplugin          
    23/26: task-lxqt-minimal      
    24/26: task-lxqt              
    25/26: lxqt-admin             
    26/26: libfm

reboot and unable login to LXqt
(also attempted to invoke lxqt from tty2)

able to login to LXDE

from tty2:

$ startlxqt
lxqt-session: relocation error: /lib/liblxqt.so.0: symbol _ZN11QListWidget17setSelectionModelEP19QItemSelectionModel, version Qt_5 not defined in file libQt5Widgets.so.5 with link time reference
Comment 54 James Kerr 2018-05-01 11:51:26 CEST
on mga6-64

This system already has the QT/plasma etc stacks installed

Installed task-lxqt

116 packages installed, including those in testing

logged in to lxqt from SDDM

lxqt launched normally 

tested: 
pcmanfm
qupzilla
notepad
parole mediaplayer

I am not familiar with lxqt, but this looks to me to be stable and usable

CC: (none) => jim

Comment 55 Jüri Ivask 2018-05-01 12:41:02 CEST
The upgrade of pcmanfm-qt to 0.12.0 seems to fix the problems with lxqt desktop (desktop menus, settings etc). - Thanks Nicolas :)

What about LXQt Desktop Base package libsysstat 0.4.0 - Mageia version is still at 0.3.2-1...?

Now with lximage-qt all Related Releases seem to be also at latest version.
Comment 56 Jüri Ivask 2018-05-01 14:15:36 CEST
(In reply to Jüri Ivask from comment #55)

Sorry, the Related Releases package list was as a mistake given on basis of Cauldron...

The last sentence should be:

Now in Related Releases list still not updated are: qterminal, qtermwidget and pavucontrol-qt packages.
Comment 57 James Kerr 2018-05-01 15:28:29 CEST
in a vbox VM

in a clean netinstall of mga6-64
lxqt was the only DE selected

logged in to lxqt using sddm (which seems to be the default dm for lxqt)

enabled the testing repos and installed the available relevant packages

about 146 packages were installed, including many QT and KF packages, in addition to the lxqt packages.

Rebooted and logged in to lxqt using sddm

tested several applications

the desktop appears to be stable and usable

Based on my testing the lxqt stack seems to be OK for mga6-64
Comment 58 PC LX 2018-05-01 17:45:58 CEST
Installed and tested without issues.

System: Mageia 6, x86_64, Intel CPU, nVidia GPU using nvidia340 proprietary driver.

All the issues LXQt had before have been resolved. Tested a bunch of things and used it for several hours without problems.

Have the Qt/Plasma/KDE updates installed on this system.

$ uname -a
Linux marte 4.14.38-desktop-1.mga6 #1 SMP Mon Apr 30 13:15:08 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
$ rpm -qa | egrep 'lxqt|lib(64)?fm|pcmanfm|^lx' | sort
lib64fm4-1.3.0.2-1.mga6
lib64fm_qt3-0.12.0-1.mga6
lib64lxqt0-0.12.0-1.mga6
lib64lxqt-globalkeys0-0.12.0-2.mga6
lib64lxqt-globalkeys-ui0-0.12.0-2.mga6
libfm-1.3.0.2-1.mga6
libfm-qt-0.12.0-1.mga6
lxappearance-0.6.3-1.mga6
lxappearance-obconf-0.2.3-1.mga6
lxmenu-data-0.1.5-1.mga6
lxqt-about-0.12.0-1.mga6
lxqt-config-0.12.0-1.mga6
lxqt-globalkeys-0.12.0-2.mga6
lxqt-l10n-0.12.0-1.mga6
lxqt-notificationd-0.12.0-2.mga6
lxqt-panel-0.12.0-3.4.mga6
lxqt-policykit-0.12.0-2.mga6
lxqt-powermanagement-0.12.0-2.mga6
lxqt-qtplugin-0.12.0-1.mga6
lxqt-runner-0.12.0-2.mga6
lxqt-session-0.12.0-3.mga6
lxqt-sudo-0.12.0-1.mga6
lxqt-themes-0.12.0-1.mga6
lxshortcut-1.3.0.2-1.mga6
pcmanfm-qt-0.12.0-1.1.mga6
task-lxqt-minimal-0.12.0-2.mga6
Comment 59 Nicolas Lécureuil 2018-05-01 18:02:29 CEST
Latest src.rpm:
lxqt-build-tools-0.4.0-1.mga6
libqtxdg-3.1.0-1.mga6
liblxqt-0.12.0-1.mga6
lxqt-about-0.12.0-1.mga6
lxqt-admin-0.12.0-1.mga6
lxqt-config-0.12.0-1.mga6
lxqt-globalkeys-0.12.0-2.mga6
lxqt-l10n-0.12.0-1.mga6
lxqt-notificationd-0.12.0-2.mga6
lxqt-openssh-askpass-0.12.0-1.mga6
lxqt-panel-0.12.0-3.4.mga6
lxqt-policykit-0.12.0-2.mga6
lxqt-powermanagement-0.12.0-2.mga6
lxqt-qtplugin-0.12.0-1.mga6
lxqt-runner-0.12.0-2.mga6
lxqt-session-0.12.0-3.mga6
lxqt-sudo-0.12.0-1.mga6
libfm-qt-0.12.0-1.mga6
task-lxqt-0.12.0-2.mga6
lxqt-themes-0.12.0-1.mga6
libfm-1.3.0.2-1.mga6
pcmanfm-1.3.0-1.mga6  
pcmanfm-qt-0.12.0-1.1.mga6
qtermwidget-0.8.0-1.mga6
pavucontrol-qt-0.3.0-1.mga6
lximage-qt-0.6.0-1.mga6
qterminal-0.8.0-1.mga6
Comment 60 Nicolas Lécureuil 2018-05-01 18:03:08 CEST
(In reply to Jüri Ivask from comment #56)
> (In reply to Jüri Ivask from comment #55)
> 
> Sorry, the Related Releases package list was as a mistake given on basis of
> Cauldron...
> 
> The last sentence should be:
> 
> Now in Related Releases list still not updated are: qterminal, qtermwidget
> and pavucontrol-qt packages.

they are updated now
Comment 62 Jüri Ivask 2018-05-01 19:55:17 CEST
(In reply to Nicolas Lécureuil from comment #59)
> Latest src.rpm:
> lxqt-build-tools-0.4.0-1.mga6
> libqtxdg-3.1.0-1.mga6
> liblxqt-0.12.0-1.mga6
> lxqt-about-0.12.0-1.mga6
> lxqt-admin-0.12.0-1.mga6
> lxqt-config-0.12.0-1.mga6
> lxqt-globalkeys-0.12.0-2.mga6
> lxqt-l10n-0.12.0-1.mga6
> lxqt-notificationd-0.12.0-2.mga6
> lxqt-openssh-askpass-0.12.0-1.mga6
> lxqt-panel-0.12.0-3.4.mga6
> lxqt-policykit-0.12.0-2.mga6
> lxqt-powermanagement-0.12.0-2.mga6
> lxqt-qtplugin-0.12.0-1.mga6
> lxqt-runner-0.12.0-2.mga6
> lxqt-session-0.12.0-3.mga6
> lxqt-sudo-0.12.0-1.mga6
> libfm-qt-0.12.0-1.mga6
> task-lxqt-0.12.0-2.mga6
> lxqt-themes-0.12.0-1.mga6
> libfm-1.3.0.2-1.mga6
> pcmanfm-1.3.0-1.mga6  
> pcmanfm-qt-0.12.0-1.1.mga6
> qtermwidget-0.8.0-1.mga6
> pavucontrol-qt-0.3.0-1.mga6
> lximage-qt-0.6.0-1.mga6
> qterminal-0.8.0-1.mga6

I'd add already existing libsysstat and compton-conf.

To my understanding pcmanfm is not needed for LXQt desktop.
Not sure about libfm - it may be some dependency...
Comment 63 Nicolas Lécureuil 2018-05-01 20:47:54 CEST
as i builded them i added them on this update :)
Comment 64 Lewis Smith 2018-05-01 21:16:51 CEST
Before re-testing M6/64, these are the *additional* updates to the special test system since my last test in c31, c32:
- lib64qtermwidget5_0-0.8.0-1.mga6.x86_64
- libfm-1.3.0.2-1.mga6.x86_64
- lximage-qt-0.6.0-1.mga6.x86_64
- lxqt-panel-0.12.0-3.4.mga6.x86_64
- lxshortcut-1.3.0.2-1.mga6.x86_64
- pcmanfm-qt-0.12.0-1.1.mga6.x86_64
- qterminal-0.8.0-1.mga6.x86_64
- qtermwidget-0.8.0-1.mga6.x86_64
The first 'lib64qtermwidget5_0' was pulled in by 'qtermwidget', but is not in the list of pkgs; should it be?
Comment 65 Lewis Smith 2018-05-01 21:48:18 CEST
M6/64 on special Plasma/KDE/LXQt test system with all stack updates including latest LXQt ones. Real hardware with Radeon video.

Like everyone else, this looks much better.  Logged into LXQT from SDDM, all relevant c.31 faults resolved. Will try other DMs later. Concentrating just on those applications known defficient:

* PCManFM-Qt now launches & works both from its taskbar icon, and System Tools menu. It crashed once, but I could not reproduce the fault.
* LXImage works, and its open dialogue: but one fault:
If you select 'Computer' from the LH panel, nothing is shown in the RH pane. To get round that, if you click the Home icon, you can work back from that to root from the top path buttons. If others confirm, should be fixed, but not a blocker.
* Qupzilla 1/2 works under LXQt: any URL typed into the top address bar goes nowhere. Closing tabs to get to the SpeedDial page, those icons work. If others confirm, should be fixed. Note that Qupzilla is now deprecated in favour of Falkon.

Keywords: feedback => (none)

Comment 66 Lewis Smith 2018-05-01 22:45:07 CEST
More on M6/64
This time from my main Mageia 6 6-desktop system, updated as per c64. With Updates Testing enabled, I added 'liblxqt' and 'lximage-qt' which I did not have before, and accepted the 50+ pkgs they pulled in; perhaps unwisely. Because now I find:

* GDM: LXQt basically launches & works OK.
* LXDM: LXQt does *not* launch (press any key, good luck). Is LXDM now intact?
See comment 53.
* LightDM: LXQt does *not* launch. (To see whether other desktops do, or LightDM got messed up).
* SDDM: LXQt launches OK.

Forgot to note that we have reverted to the LXQt Hummingbird desktop.

* PCManFMQt works OK.
* LXImage-qt shows same behaviour as in c.65, Open/Computer blank.
* Qupzilla *does* work correctly LXQt. c65 is hence enigmatic.
Comment 67 Nicolas Lécureuil 2018-05-01 22:52:20 CEST
(In reply to Lewis Smith from comment #66)
> More on M6/64
> This time from my main Mageia 6 6-desktop system, updated as per c64. With
> Updates Testing enabled, I added 'liblxqt' and 'lximage-qt' which I did not
> have before, and accepted the 50+ pkgs they pulled in; perhaps unwisely.
> Because now I find:
> 
> * GDM: LXQt basically launches & works OK.
> * LXDM: LXQt does *not* launch (press any key, good luck). Is LXDM now
> intact?
> See comment 53.
> * LightDM: LXQt does *not* launch. (To see whether other desktops do, or
> LightDM got messed up).

we need more infos.
Comment 68 Lewis Smith 2018-05-02 06:45:23 CEST
Herewith!
Continued from c66.
On my updated normal M6/x64 system, all desktops, 4 display managers.
After several X restarts & reboots, all the major failures I experienced last night have gone. So please IGNORE the DM-dependant part of my c66.
I have got back all 4 DMs (the middle 2 broke temporarily): GDM, LXDM, LightDM, SDDM. And they *all* launch LXQt OK. Important proviso:
- From LXDM only, the main menu button does nothing. The rest works OK.

These common things remain:
- Not the Mageia desktop background, but the LXQt one.
- A spurious pop-up when starting. Unimportant.
- I think from all DMs, the main menu button is *black* until hovered over, when it then shows white with 'Mageia'.
- The RH date/time systray icon is black but effective. Are there 2 ?
- From LXQt only, the LXImage Open dialogue 'Computer' shows nothing. It works as expected from at least some of the other desktops.
- 2 old desktop Home icons: one launches PCManFM (*not* PcManFMQt), the other launches Dolphin. To check on the special update test system.

Other testers have given the thumbs-up (except comment 53 from LXDM). This is I think good to let out.
I will re-test from different DMs, and only report anything different from here;
and on another after applying all stack updates in one go, later.
Comment 69 Nicolas Lécureuil 2018-05-02 09:19:41 CEST
for "These common things remain:" 
we have changed alomost nothing on LxQt ( except the menu icon ).

A big work on LxQt will be done for mageia7 ( that can be backported later on mageia 6 )
Comment 70 Nicolas Lécureuil 2018-05-02 23:48:09 CEST
Latest src.rpm:
lxqt-build-tools-0.4.0-1.mga6
libqtxdg-3.1.0-1.mga6
liblxqt-0.12.0-1.mga6
lxqt-about-0.12.0-1.mga6
lxqt-admin-0.12.0-1.mga6
lxqt-config-0.12.0-1.1.mga6
lxqt-globalkeys-0.12.0-2.mga6
lxqt-l10n-0.12.0-1.mga6
lxqt-notificationd-0.12.0-2.mga6
lxqt-openssh-askpass-0.12.0-1.mga6
lxqt-panel-0.12.0-3.4.mga6
lxqt-policykit-0.12.0-2.mga6
lxqt-powermanagement-0.12.0-2.mga6
lxqt-qtplugin-0.12.0-1.mga6
lxqt-runner-0.12.0-2.mga6
lxqt-session-0.12.0-3.mga6
lxqt-sudo-0.12.0-1.mga6
libfm-qt-0.12.0-1.mga6
task-lxqt-0.12.0-2.mga6
lxqt-themes-0.12.0-1.mga6
libfm-1.3.0.2-1.mga6
pcmanfm-1.3.0-1.mga6  
pcmanfm-qt-0.12.0-1.1.mga6
qtermwidget-0.8.0-1.mga6
pavucontrol-qt-0.3.0-1.mga6
lximage-qt-0.6.0-1.mga6
qterminal-0.8.0-1.mga6
Nicolas Lécureuil 2018-05-02 23:48:30 CEST

Depends on: (none) => 22982

Comment 71 Nicolas Lécureuil 2018-05-03 19:38:13 CEST
Latest src.rpm:
lxqt-build-tools-0.4.0-1.mga6
libqtxdg-3.1.0-1.mga6
liblxqt-0.12.0-1.mga6
lxqt-about-0.12.0-1.mga6
lxqt-admin-0.12.0-1.mga6
lxqt-config-0.12.0-1.1.mga6
lxqt-globalkeys-0.12.0-2.mga6
lxqt-l10n-0.12.0-1.mga6
lxqt-notificationd-0.12.0-2.mga6
lxqt-openssh-askpass-0.12.0-1.mga6
lxqt-panel-0.12.0-3.4.mga6
lxqt-policykit-0.12.0-2.mga6
lxqt-powermanagement-0.12.0-2.mga6
lxqt-qtplugin-0.12.0-1.mga6
lxqt-runner-0.12.0-2.mga6
lxqt-session-0.12.0-3.mga6
lxqt-sudo-0.12.0-1.mga6
libfm-qt-0.12.0-1.mga6
task-lxqt-0.12.0-2.mga6
lxqt-themes-0.12.0-1.1.mga6
libfm-1.3.0.2-1.mga6
pcmanfm-1.3.0-1.mga6  
pcmanfm-qt-0.12.0-1.1.mga6
qtermwidget-0.8.0-1.mga6
pavucontrol-qt-0.3.0-1.mga6
lximage-qt-0.6.0-1.mga6
qterminal-0.8.0-1.mga6
Comment 72 Thomas Andrews 2018-05-03 21:58:40 CEST
So, does anybody object to this being validated?
Comment 73 Morgan Leijström 2018-05-04 08:38:08 CEST
OK here on minor tests on my workstation, that also have the Qt and Plasma stack and related, and kernel 4.14.38, proprietary Nvidia driver (that one not from testing)

LXQt is one of several installed DE, installed only for backup and test since long ago.

LXDM log into Plasma, Cinnamon, LXQt OK.
XDM log into LXQt OK.
Get a popup message the clock app is deprecated.
My usual programs runs OK.

Start links in desktop I created manually in Plasma dont work in LXQt (for syncthing, and a java app) , but that may be normal, I am not used to LXQt.  Opening the link in text editor and copying the launch line to terminal it works. i.e: cd "/home/morgan/Tribun/Eko/FriBok" ; _JAVA_OPTIONS="-Dawt.useSystemAAFontSettings=on" java -jar *.jar

CC: (none) => fri

Comment 74 ben mcmonagle 2018-05-04 09:45:19 CEST
LXDE / LXqt desktop system

lxdm on real 32bit hardware

updated qt5 and lxqt packages and reboot
to working desktop
Mageia menu icon has replaced hummingbird menu icon.
logout to LXDE - ok
pcmanfm-qt -ok

qupzilla not working (black window) but most other qt applications seem ok

good to go  ;)
Comment 75 Dave Hodgins 2018-05-04 11:42:06 CEST
For themes, the srpm in the repo is
lxqt-themes-0.12.0-2.mga6.src.rpm
which is what I'm putting in the advisory.
Thomas Backlund 2018-05-04 18:48:55 CEST

Blocks: 22656 => (none)
Depends on: (none) => 22656

Comment 76 Len Lawrence 2018-05-04 20:39:23 CEST
Mageia 6, x86_64
Installed the updates and not being familiar with the LX desktops tried LXDE first and configured a few things.
Logged out and in to LXqt.  Panel with black background, two wastebin icons and two Home icons on the desktop.  Removed extra wastebin by binning it.  Would not work for Home so tried Cut, which just greyed it out.  Glad to see that sloppy focus still worked after configuring it in LXDE. 

Configuration is better than in LXDE.  Could not find a way to add workspaces to the desktop switcher - seems to be stuck at 2.  Managed to move Thunderbird icon to the panel.  Invoked vlc as a skinned video player and selected a film to watch.

Scheduled updates work as do all the applications tried.  Leaving it up for a while to see if anything nasty crops up.
Comment 77 Len Lawrence 2018-05-04 20:45:04 CEST
Found a problem; how to add custom launcher to the panel?  Panel configuration -> widgets does not seem to provide a facility for doing that.
Comment 78 Lewis Smith 2018-05-04 23:53:27 CEST
(In reply to Len Lawrence from comment #77)
> Found a problem; how to add custom launcher to the panel?
Did you try "Drop application icons here" on the taskbar [from menu]? That works.
------
Mageia 6/64 real hardware with AMD/ATI/Radeon video.

I am writing from Qupzilla post *all* the stack + LXQt updates (plus everything else from Updates Testing applicable to this Plasma/LXQt system) in one go. Started with 2995 pkgs, ended with 3078. With Updates Testing enabled, I started the update with
 # urpmi --auto-update
which said "734 pkgs, 715Mb". I aborted that quickly, and re-started more properly from MCC-Update System, leaving everything selected. This said "676 pkgs, 674Mb". It took ages, of course; the only error was a bad signature for rouncubemail, not applicable to these updates (how that got into the system I know not).
Re-booted.

Using LXQt from LXDE - but it works also from SDDM. Confirmed that packages are up-to-date re comment 71:
- pcmanfm, agree with an earlier comment "Why is it here?"..
- lxqt-themes-0.12.0-2.mga6 (see c75)

* Desktop is the hummingbird; this is deemed correct at present.
* The Mageia menu icon is visible. Also the RH time/date one.
* PCMan FM-Qt works from taskbar icon & menu.
My last complaints about these c68 relate to a progressively updated (& possibly incomplete) system.

We all find glitches, but this update is certainly good enough to OK. Is not LXQt a work in progress?
* Qupzilla seems to ignore changing the default search engine from DuckDuckGo. Otherwise it works OK, including Mageia login.
* LXimage is still ropey under LXQt (but *OK under Plasma*):
-- Selecting 'open' 'computer' shows a blank RH pane.
-- File 'open directory' shows a blank RH pane once you get to it, and opens nothing.
-- If you open an image file, you cannot advance in the directory with the arrow icons or arrow keys; it sticks on that image.
* A spurious clock (sometimes something else) pop-up on starting; ignore.

I am tempted to do the 64-bit OK.
Comment 79 Len Lawrence 2018-05-05 00:44:24 CEST
@lewis, re comment 77.  What I meant was a way to create a launcher for home-grown applications; I have about 24 of them on my Mate panel.  The "Drop application icons here" section does not offer any way to do this.

I am all at sea with this desktop anyway - I am going to back out - too far behind the curve - no idea what is normal for LXqt.  Had to google to find out what Qupzilla and LXimage are.
Ran lximage-qt but could not find my /data partition which has an images directory.
Comment 80 Lewis Smith 2018-05-05 22:04:58 CEST
@Len : sorry for my misunderstanding. Not to worry that LXQt does not do all one wants or is used to.
As for LXimage, I too found 'open' (& other) problems with it under LXQt, but it worked better under Plasma. I think that should be bugged separately, and this update OK'd & validated. The heaviest users are satisfied with it.
The update cannot go out because of its pending advisory.

@Nicolas: please consider this. I am OKing & validating it anyway. If you want to polish LXimage immediately, please un-validate it.

CC: (none) => sysadmin-bugs
Keywords: (none) => validated_update
Whiteboard: (none) => MGA6-64-OK

Dave Hodgins 2018-05-09 11:38:54 CEST

Keywords: (none) => advisory

Comment 81 Mageia Robot 2018-05-11 22:14:27 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0071.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED

Comment 82 Dimitrios Glentadakis 2018-05-12 10:00:12 CEST
After the last Mageia6 update, in lxqt the icons are missing from the desktop and from lxqt applications.
I cannot launch any application from the desktop, it asks me an action to do and only the 'open in terminal' opens the application

The clock has gone
The fast actions also (show desktop) has no icons

CC: (none) => dglent

Comment 83 Thomas Backlund 2018-05-12 10:03:32 CEST
Did you restart your system after the update ?
Comment 84 Dimitrios Glentadakis 2018-05-12 10:29:39 CEST
Yes i have restarted
Also if i change the icons theme in lxqt configuration, it has no any effect.
Comment 85 David GEIGER 2018-05-12 11:31:55 CEST
(In reply to Dimitrios Glentadakis from comment #82)
> After the last Mageia6 update, in lxqt the icons are missing from the
> desktop and from lxqt applications.
> I cannot launch any application from the desktop, it asks me an action to do
> and only the 'open in terminal' opens the application
> 
> The clock has gone
> The fast actions also (show desktop) has no icons

Hi,

Why have you not help QA during the lxqt update process? :(

CC: (none) => geiger.david68210

Comment 86 Morgan Leijström 2018-05-12 12:02:43 CEST
If you create a new user, does it work better there?
Comment 87 Dimitrios Glentadakis 2018-05-12 17:42:49 CEST
I have deleted a few remaining locally made rpm that i forgot and it is ok now.
Add me also in lxqt updates as i use mainly this environment. I found today the bug report as i search for issues after the update.
Comment 88 Morgan Leijström 2018-05-12 21:22:51 CEST
Phew. Nice :)

Note You need to log in before you can comment on or make changes to this bug.